User#allowed_to? should return true or false

2012-10-11 16:31 - Anonymous

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 2.2.0   

Description

The attached patch fixes a minor bug in User.allowed_to?

Specifically, that method should return a boolean, but it actually sometimes returns a Role instead. This is because .detect is used

when really .any? should be used.

I am not aware of this causing any serious issues, but I noticed this during debugging and was greatly confused when allowed_to?

suddenly returned a Role ;).

Associated revisions

Revision 10614 - 2012-10-12 11:12 - Jean-Philippe Lang

Fixed that User#allowed_to? should return true or false (#12078).

History

#1 - 2012-10-11 17:30 - Etienne Massip

- Category set to Code cleanup/refactoring

#2 - 2012-10-12 11:13 - Jean-Philippe Lang

- Subject changed from Replace incorrect uses of .detect by .any? to User#allowed_to? should return true or false

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.2.0

Committed in r10614. Another change was required so that User#allowed_to? return true or false and tests were updated.

Files

0001-Replace-incorrect-.detect-call-by-.any.patch 1.13 KB 2012-10-11 Anonymous
